<?php
// don't load directly
if ( ! defined( 'ABSPATH' ) ) {
    die( '-1' );
}

?>
<?php
// filter plus products
if(!class_exists("nfpfilter_vc_toggle_button")) {
    class nfpfilter_vc_toggle_button
    {
        function __construct()
        {
            add_action('init', array($this, "nfpfilter_toggle_button_func"));
        }
        function nfpfilter_toggle_button_func() {


            vc_map( array(
                "name" => esc_html__( "Filter Plus Toggle Button", "nfpfilter" ),
                "base" => "nfpfilter_toggle_button",
                "icon" => "nfpfilter-vc-icon",
                "params" => array(
                    array(
                        'type' => 'dropdown',
                        'heading' => esc_html__( 'Button Float', "nfpfilter" ),
                        'param_name' => 'float',
                        'std' => 'right',
                        'value' => array(
                            esc_html__( 'Left', "nfpfilter" ) => 'left',
                            esc_html__( 'Right', "nfpfilter" ) => 'right',
                        ),
                        "admin_label" => true,
                    ),
                )
            ) );
        }
    }
    new nfpfilter_vc_toggle_button;
}
